
From: Jody McIntyre <scjody@steamballoon.com>

drivers/ieee1394 feature removal notices: amdtp, cmp, legacy rawiso
interface

Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+)

diff -puN Documentation/feature-removal-schedule.txt~ieee1394-feature-removal-notices Documentation/feature-removal-schedule.txt
--- 25/Documentation/feature-removal-schedule.txt~ieee1394-feature-removal-notices	Fri May  6 15:39:48 2005
+++ 25-akpm/Documentation/feature-removal-schedule.txt	Fri May  6 15:39:48 2005
@@ -55,3 +55,23 @@ Why:	Outside of Linux, the only implemen
 	people, who might be using implementations that I am not aware
 	of, to adjust to this upcoming change.
 Who:	Paul E. McKenney <paulmck@us.ibm.com>
+
+---------------------------
+
+What:	IEEE1394 Audio and Music Data Transmission Protocol driver,
+	Connection Management Procedures driver
+When:	November 2005
+Files:	drivers/ieee1394/{amdtp,cmp}*
+Why:	These are incomplete, have never worked, and are better implemented
+	in userland via raw1394 (see http://freebob.sourceforge.net/ for
+	example.)
+Who:	Jody McIntyre <scjody@steamballoon.com>
+
+---------------------------
+
+What:	raw1394: requests of type RAW1394_REQ_ISO_SEND, RAW1394_REQ_ISO_LISTEN
+When:	November 2005
+Why:	Deprecated in favour of the new ioctl-based rawiso interface, which is
+	more efficient.  You should really be using libraw1394 for raw1394
+	access anyway.
+Who:	Jody McIntyre <scjody@steamballoon.com>
_
